﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Dnad09.Blog.Dominio.Entidades
{
    public class Postagem : EntidadeComId
    {
        public DateTime DataPostagem { get; set; }
        public string Corpo { get; set; }
        public string Autor { get; set; }
        public string Titulo { get; set; }
        protected Iesi.Collections.Generic.ISet<Comentario> Comentarios { get; set; }
        public void IncluirComentario(Comentario comentario)
        {
            if (comentario == null)
                throw new ArgumentException("comentario");
            this.Comentarios.Add(comentario);
        }
    }
}
